<?php

declare(strict_types=1);

namespace App\Enums;

enum AdminRoleStatus: string
{
    case Enabled = 'enabled';
    case Disabled = 'disabled';

    public function label(): string
    {
        return match ($this) {
            self::Enabled => (string) __('dberp.options.enabled_disabled_state.enabled'),
            self::Disabled => (string) __('dberp.options.enabled_disabled_state.disabled'),
        };
    }

    /**
     * @return array<string, string>
     */
    public static function options(): array
    {
        return [
            self::Enabled->value => self::Enabled->label(),
            self::Disabled->value => self::Disabled->label(),
        ];
    }
}
